function Z=risi_graf(pod,fun,nx);
% RISI_GRAF     narise graf interpolanta
% RISI_GRAF(pod,fun,nx)
% pod je matrika podatkov, fun ime funkcije, nx stevilo tock
% v x smeri (pri risanju)

%Shranjevanje slike v Octave:
%> gset term postscript color
%> gset output "ime.eps"
%> replot
%> gset term x11

%  v Matlabu
%>> print -depsc ime.eps
%splo"sno
%>> print -dformat ime.slika
%format je lahko npr. jpg, ps,...



%funkcija narise ploskev, ki jo dobimo na podlagi matrike M
%fun je uporabnikova funkcija
%nx = stevilo tock risanja v x smeri
  [A,b]=matrika_sistema(pod,fun);
  R=chol(A);
  y=R'\b;
  alfa=R\y;
  %dolocimo obmocje risanja
  % levi rob na x osi in se odmaknemo v levo za 20% 
  %celotnega obmocja na x osi
  %enako za y os
  pomikx=0.2*(max(pod(:,1))-min(pod(:,1)));
  pomiky=0.2*(max(pod(:,2))-min(pod(:,2)));
  xmin=min(pod(:,1))-pomikx;
  xmax=max(pod(:,1))+pomikx;
  ymin=min(pod(:,2))-pomiky;
  ymax=max(pod(:,2))+pomiky;
  %dolocimo gostoto mreze
  faktor=pomiky/pomikx;
  x=linspace(xmin,xmax,nx);
  y=linspace(ymin,ymax,round(faktor*nx));
  Z=vrednosti(x,y,alfa,pod,fun);
  clearplot;
  %clf %v matlabu
  %colormap('default'); %deluje v matlabu
  colormap('gray');
  mesh(x,y,Z);
  %surf(x,y,Z) v Matlabu 
  hold on;  
  %Matlab
  %plot3(M(:,1),M(:,2),M(:,3)+0.05,'r.','MarkerSize',70)
  plot3(pod,'with points');
  hold off

function plot3(X,s)
gset parametric
plot_data=X;
eval(["gsplot plot_data " s]);

%klic plot3:
%plot3(X,"with points")
%octave:31> clg; plot3(X,"with lines")
%octave:32> clg; plot3(X,"with linespoints")  
  
  

